<div id='mly'></div>
<div id='map'></div>

<script>
  var map = L.map('map').setView([45.75, 4.85], 15);

  var osmUrl='https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png';
  var osmAttrib='Map data © <a href="https://openstreetmap.org">OpenStreetMap</a> contributors';
  var osm = new L.TileLayer(osmUrl, { maxZoom: 18, attribution: osmAttrib});
  map.addLayer(osm);

  var mly = new Mapillary.Viewer(
    'mly',
    'QjI1NnU0aG5FZFZISE56U3R5aWN4Zzo3NTM1MjI5MmRjODZlMzc0',
    'zarcRdNFZwg3FkXNcsFeGw');

  var marker;
  mly.on(Mapillary.Viewer.nodechanged, function (node) {
    var latLon = [node.latLon.lat, node.latLon.lon];

    if (!marker) {
      marker = L.marker(latLon);
      marker.addTo(map);
    } else {
      marker.setLatLng(latLon);
    }

    map.setView(latLon);
  });

  window.addEventListener('resize', function() { mly.resize(); });
</script>
